.btn-modern {
    background-color: #1a89e7;
    color: white;
    border: none;
    padding: 0.6rem 1.2rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.15s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.btn {
    text-wrap: nowrap;
}

.btn-action {
    font-size: 13px !important;
}

.btn-close:focus,
.btn-close:active {
    box-shadow: none !important;    /* Supprime l’ombre par défaut sur focus */
    outline: none !important;       /* Supprime le contour bleu */
}

.btn-modern i {
    font-size: 14px;
}

.btn-modern:hover {
    background-color: #177bd0;
    color: white;
    transform: translateY(-1px);
}

.btn-modern-return {
    background-color: #9CA3AF; /* gris clair */
    color: white;
    border: none;
    padding: 0.6rem 1.2rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.15s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.btn-modern-return i {
    font-size: 14px;
}

.btn-modern-return:hover {
    background-color: #6B7280; /* gris plus foncé */
    color: white;
    transform: translateY(-1px);
}


.btn-modern-return-outline {
    background-color: white; /* gris clair */
    color: #333;
    border: 1px solid #afb7c4;
    padding: 0.6rem 1.2rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.08);
}

.btn-modern-return-outline i {
    font-size: 14px;
}

.btn-modern-return-outline:hover {
    background-color: #f0f3f7; /* gris plus foncé */
    border: 1px solid #9CA3AF;
}

.btn-small {
    padding: 0.5rem 1rem !important;
    font-size: 13px !important;
}

.btn-modern-add {
    background-color: #20bd5a; /* vert lime-500 */
    color: white;
    border: none;
    padding: 0.6rem 1.2rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.15s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.btn-modern-add i {
    font-size: 14px;
}

.btn-modern-add:hover {
    background-color: #16a34a; /* vert lime-700 */
    color: white;
    transform: translateY(-1px);
}

.btn-modern-danger {
    background-color: #dc3545;
    color: white;
    border: none;
    padding: 0.6rem 1.2rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.15s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.btn-modern-danger i {
    font-size: 14px;
}

.btn-modern-danger:hover {
    background-color: #bb2d3b;
    color: white;
    transform: translateY(-1px);
}

.btn-modern-danger-outline {
    background-color: white;
    color: #dc3545;
    border-color: #dc3545;
    padding: 0.6rem 1.2rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.15s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.btn-modern-danger-outline i {
    font-size: 14px;
}

.btn-modern-danger-outline:hover {
    background-color: #dc3545;
    border-color: #dc3545;
    color: white;
    transform: translateY(-1px);
}

.btn-modern-edit {
    background-color: #0d6efd; /* vert lime-500 */
    color: white;
    border: none;
    padding: 0.4rem 0.8rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.15s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.btn-modern-edit i {
    font-size: 13px;
}

.btn-modern-edit:hover {
    background-color: #0a53be; /* vert lime-700 */
    color: white;
    transform: translateY(-1px);
}

.btn-modern-delete {
    background-color: #dc3545; /* Rouge Bootstrap (danger) */
    color: white;
    border: none;
    padding: 0.4rem 0.8rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.15s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.btn-modern-delete i {
    font-size: 13px;
}

.btn-modern-delete:hover {
    background-color: #bb2d3b; /* Rouge foncé au hover */
    color: white;
    transform: translateY(-1px);
}

.btn-modern-return-small {
    background-color: #9CA3AF; /* gris clair */
    color: white;
    border: none;
    padding: 0.4rem 0.8rem;
    font-size: 13px;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.15s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.btn-modern-return-small i {
    font-size: 13px;
}

.btn-modern-return-small:hover {
    background-color: #6B7280; /* gris plus foncé */
    color: white;
    transform: translateY(-1px);
}

.btn-outline-secondary {
    border-radius: 8px; /* arrondi 8px sur les boutons */
    padding: 0.375rem 0.75rem;
    font-size: 13px;
    border: 1px solid #6c757d;
    box-shadow: none !important;
    background: transparent;
    color: #4e555c;
    transition: background-color 0.2s ease, border-color 0.2s ease, color 0.2s ease;
}

.btn-outline-secondary:hover {
    background-color: #5e666e;
    border-color: #5e666e;
    color: white;
}

/* Bouton rond profil */
.btn-profile {
    width: 30px;
    height: 30px;
    border-radius: 50% !important;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1rem;
}

.btn-profile:hover {
    background-color: #293266 !important;
    border-color: #293266 !important;
    color: white;
}

.btn-outline-secondary:focus, .btn-outline-secondary:active {
    background-color: #f5f7fa !important;
    border-color: #adb5bd !important;
    color: #495057 !important;
}
.btn-success {
    border-radius: 8px !important;
    padding: 0.25rem 0.50rem;
    border: 1px solid #20bd5a;
    background-color: #20bd5a;
    font-size: 13px !important;
    color: white;
    transition: background-color 0.2s ease, border-color 0.2s ease, color 0.2s ease;
}

.btn-success:hover {
    background-color: #28a745; /* un vert un peu plus foncé au hover */
    border-color: #28a745;
    color: white;
}

.btn-danger {
    border-radius: 8px !important;
    padding: 0.25rem 0.50rem;
    font-size: 13px !important;
    border: 1px solid #dc3545;
    background-color: #dc3545;
    color: white;
    transition: background-color 0.2s ease, border-color 0.2s ease, color 0.2s ease;
}

.btn-danger:hover {
    background-color: #bb2d3b; /* un vert un peu plus foncé au hover */
    border-color: #dc3545;
    color: white;
}

.btn-warning {
    border-radius: 8px !important;
    border: 1px solid #ffc107;
    background-color: #ffc107;
    transition: background-color 0.2s ease, border-color 0.2s ease, color 0.2s ease;
}

.btn-warning:hover {
    background-color: #f0b607; /* un vert un peu plus foncé au hover */
    border-color: #f0b607;
}

.btn-outline-success {
    border-radius: 8px;
}

.btn-outline-primary {
    border-radius: 8px;
    font-size: 0.75rem !important;
    line-height: 1 !important;
    background-color: transparent;
    transition: background-color 0.15s ease-in-out;
}
.btn-outline-primary:hover {
    color: white!important;
    text-decoration: none;
    outline: none;
    box-shadow: none;
}
.btn-outline-danger {
    border-radius: 8px;
    color: #dc3545!important;
    font-size: 0.75rem !important;
    line-height: 1 !important;
    background-color: transparent;
    transition: background-color 0.15s ease-in-out;
}

.btn-outline-danger:hover {
    color: white!important;
    text-decoration: none;
    outline: none;
    box-shadow: none;
}

.btn-lg.btn-outline-primary {
    border-radius: 8px;
    font-size: 0.75rem !important;
    line-height: 1 !important;
    transition: background-color 0.15s ease-in-out;
}
.btn-lg.btn-outline-primary:hover {
    text-decoration: none;
    outline: none;
    box-shadow: none;
}
.btn-lg.btn-outline-danger {
    border-radius: 8px;
    color: #dc3545!important;
    font-size: 0.8rem !important;
    line-height: 1 !important;
    transition: background-color 0.15s ease-in-out;
}

.btn-lg.btn-outline-danger:hover {
    color: white!important;
    text-decoration: none;
    outline: none;
    box-shadow: none;
}

.btn-outline-warning {
    border-radius: 8px;
    border: 1px solid rgb(100,100,100);
    color: black !important;
}

.btn-outline-warning:hover {
    border: 1px solid rgb(100,100,100) !important;
}

.btn-lg.btn-outline-warning {
    border-radius: 8px;
    line-height: 1 !important;
    font-size: 0.8rem;
    border: 1px solid rgb(100,100,100);
    color: rgb(100, 100, 100);
}

.btn-lg.btn-outline-warning:hover {
    border: 1px solid rgb(100,100,100) !important;
}

.btn-close {
    height: 0.4rem;
    width: 0.4rem;
}

.btn-tiny-sobre {
    /* couleur sobre */
    color: #495057!important;
    border: 1px solid #6c757d;
    background-color: transparent;
    transition: background-color 0.15s ease-in-out;
    font-size: 12px !important;
    line-height: 1 !important;
    border-radius: 8px;
    font-weight: 400 !important;
    padding: 5px 10px !important;
}

.btn-tiny-sobre:hover,
.btn-tiny-sobre:focus {
    border: 1px solid #6c757d;
    background-color: #e9ecef;
    color: #212529!important;
    text-decoration: none;
    outline: none;
    box-shadow: none;
}

.badge {
    font-size: 12px !important;
    line-height: 1 !important;
    border-radius: 8px;
    font-weight: 500 !important;
    padding: 5px 10px!important;
}

.btn-outline-success {
    border-color: #1fb556;
    color: #1fb556 !important;
    font-size: 0.75rem !important;
    line-height: 1 !important;
    border-radius: 8px;
    background-color: transparent;
    transition: background-color 0.15s ease-in-out;
}

.btn-outline-success:hover {
    border-color: #22c55e;
    background-color: #22c55e;
    color: white!important;
    text-decoration: none;
    outline: none;
    box-shadow: none;
}


div.dt-button-background {
    display: none !important;
    pointer-events: none !important;
}

div.dt-button-collection {
    box-shadow: 1px 2px 5px 0 rgba(0, 0, 0, 0.15) !important;
    border: 1px solid rgba(220,220,220,0.5) !important;
    z-index: 1030 !important;
}


